import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
import java.awt.*;
/**
 * Write a description of class GameOverScreen here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class GameOverScreen  extends Actor
{

    public GameOverScreen (HashMap<String, Integer> frequencies, int score, int level) 
    {
        GreenfootImage img = getImage();
        
        img.scale(400, 300);
        
        img.setColor(Color.RED);
        img.setFont(new Font("sansserif", Font.BOLD, 50));
        img.drawString("Game Over!",20, 50);
        
        img.setColor(Color.BLACK);
        img.setFont(new Font("sansserif", Font.PLAIN, 14));
        img.drawString("Score: " + score, 20, 100);
        img.drawString("Level: " + level, 20, 130);
        
        img.setFont(new Font("sansserif", Font.PLAIN, 10));
        
        int i=0;
        int j=200;
        for (String letter : frequencies.keySet()) {
            img.drawString(letter + " - " + frequencies.get(letter), img.getWidth()-j, 100 + i*15);
            i ++;
            if (i == 13) {
                i = 0;
                j -= 50;
            }
        }
        
        setImage(img);
    }

}
